

**Table 3**
foreach var in ln_meanincome yearsofschooling lengthhospitalstay {
reg `var' i.birthyear i.birthregion i.sex post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table3, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex post1939_basepneumonia if sex==1,  vce(cluster birthregion) 
outreg2 using Table3, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex post1939_basepneumonia if sex==2,  vce(cluster birthregion) 
outreg2 using Table3, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)
}

**Table 4**
foreach var in ln_meanincome yearsofschooling lengthhospitalstay {
reg `var' i.birthyear i.birthregion i.sex post1939_basepneumonia if mothersample==1,  vce(cluster birthregion)
outreg2 using Table4, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

xtreg `var' i.birthyear i.birthregion i.sex post1939_basepneumonia, fe i(id_mother) vce(robust) 
outreg2 using Table4, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex i.agemother i.sesfather i.educationmother i.sectorfather ///
post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table4, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)
}

**Table 5**
foreach var in ln_meanincome yearsofschooling lengthhospitalstay {
reg `var' i.birthyear i.birthregion i.sex post1939_basepuerperal post1939_basetyphoid ///
post1939_basediarrhoea post1939_baseinfluenza post1939_baselundtuberc post1939_baseheart ///
post1939_basediabetes post1939_basecancer post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table5, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex post1939_stillbirthrate1000   post1939_cbr ///
post1939_sharefemtotal   post1939_shareabove65 post1939_shareunder15 post1939_imr1000 ///
post1939_lnrealregionalgdppc post1939_lnrealwage post1939_shareagri post1939_shareindustr ///
 post1939_lnmedpersonnelpc1000 post1939_lnphar1000 post1939_lnhospispending1000 ///
post1939_lnscrooms1000 post1939_lnteachers1000 post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table5, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

egen pneumgroup=xtile(basepneumonia), nq(4)
reg `var' i.birthyear i.birthregion i.sex i.pneumgroup#c.birthyear post1939_basepneumonia,  vce(cluster birthregion) 
 outreg2 using Table5, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)
 
reg `var' i.birthyear i.birthregion i.sex i.birthregion#c.birthyear post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table5, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)
}


**Table 6**
foreach var in infectious cvd diabetes cancer degenerative mental {
reg `var' i.birthyear i.birthregion i.sex post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table6, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex post1939_basepeuperal post1939_basetyphoid ///
post1939_basediarrhoea post1939_baseinfluenza post1939_baselundtuberc post1939_baseheart ///
post1939_basediabetes post1939_basecancer post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table6, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex post1939_stillbirthrate1000   post1939_cbr ///
post1939_sharefemtotal post1939_shareabove65 post1939_shareunder15 post1939_imr1000 ///
post1939_lnrealregionalgdppc post1939_lnrealwage post1939_shareagri post1939_shareindustr ///
 post1939_lnmedpersonnelpc1000 post1939_lnphar1000 post1939_lnhospispending1000 ///
post1939_lnscrooms1000 post1939_lnteachers1000 post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table6, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex i.pneumgroup#c.birthyear post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table6, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)
 
reg `var' i.birthyear i.birthregion i.sex i.birthregion#c.birthyear post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table6, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)
 
reg `var' i.birthyear i.birthregion i.sex i.agemother i.sesfather i.educationmother i.sectorfather ///
post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table6, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

xtreg `var' i.birthyear i.birthregion i.sex post1939_basepneumonia, fe i(id_mother) vce(robust) 
outreg2 using Table6, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)
}

**Table 7**
foreach var in ln_meanincome  {
reg `var' i.birthyear i.birthregion i.sex post1939_basepneumonia if schoolingknown==1,  vce(cluster birthregion) 
outreg2 using Table7, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex post1939_basepneumonia if sex==1 & schoolingknown==1,  vce(cluster birthregion) 
outreg2 using Table7, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex post1939_basepneumonia if sex==2 & schoolingknown==1,  vce(cluster birthregion) 
outreg2 using Table7, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex yearsofschooling post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table7, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex yearsofschooling post1939_basepneumonia if sex==1,  vce(cluster birthregion) 
outreg2 using Table7, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex yearsofschooling post1939_basepneumonia if sex==2,  vce(cluster birthregion) 
outreg2 using Table7, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)
}


**Table 8**
**Panel A uses an interaction between post1939 and a baseline lobar pneumonia & broncho-pneumonia as a 'post1939_basepneumonia'
**Panel B uses a maternal place of residence as a 'birthregion'
**Panel C uses a county of birth as a 'birthregion'
foreach var ln_meanincome yearsofschooling lengthhospitalstay {
reg `var' i.birthyear i.birthregion i.sex post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table8, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex post1939_basepeuperal post1939_basetyphoid ///
post1939_basediarrhoea post1939_baseinfluenza post1939_baselundtuberc post1939_baseheart ///
post1939_basediabetes post1939_basecancer post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table8, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex post1939_stillbirthrate1000   post1939_cbr ///
post1939_sharefemtotal post1939_shareabove65 post1939_shareunder15 post1939_imr1000 ///
post1939_lnrealregionalgdppc post1939_lnrealwage post1939_shareagri post1939_shareindustr ///
 post1939_lnmedpersonnelpc1000 post1939_lnphar1000 post1939_lnhospispending1000 ///
post1939_lnscrooms1000 post1939_lnteachers1000 post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table8, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

reg `var' i.birthyear i.birthregion i.sex i.pneumgroup#c.birthyear post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table8, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)
 
reg `var' i.birthyear i.birthregion i.sex i.birthregion#c.birthyear post1939_basepneumonia,  vce(cluster birthregion) 
outreg2 using Table8, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)
 
reg `var' i.birthyear i.birthregion i.sex i.agemother i.sesfather i.educationmother i.sectorfather ///
post1939_basepneumonia, vce(cluster birthregion) 
outreg2 using Table8, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)

xtreg `var' i.birthyear i.birthregion i.sex post1939_basepneumonia, fe i(id_mother) vce(robust) 
outreg2 using Table8, cttop(coefficient) keep(post1939_pneurate3) word label  se e(all) dec(4)
}

**Figures 5-7
**Estimates for the figures are obtained based on the equations ('post34_basepneumonia' is a reference category)
foreach var ln_meanincome yearsofschooling lengthhospitalstay {
reg `var' i.birthyear i.birthregion i.sex post35_basepneumonia post36_basepneumonia post37_basepneumonia ///
post38_basepneumonia post39_basepneumonia post40_basepneumonia post41_basepneumonia post42_basepneumonia ///
post43_basepneumonia, vce(cluster birthregion)  
outreg2 using Figures5_7 , cttop(coefficient) word label  se e(all) dec(4)
}
